Get materialization status
curl --request GET \
--url https://api.example.com/api/automl/feature-engineering/jobs/{job_id}/materialization \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/automl/feature-engineering/jobs/{job_id}/materialization"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/automl/feature-engineering/jobs/{job_id}/materialization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"trino_query_id": "<string>",
"rows_processed": 123,
"error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"training_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Feature engineering
Get materialization status
Poll the CTAS execution status for an approved job.
GET
/
api
/
automl
/
feature-engineering
/
jobs
/
{job_id}
/
materialization
Get materialization status
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
- Token URL
- https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
Path Parameters
Feature engineering job ID.
Response
Successful Response
Status of the materialization step.
Lifecycle of an AutoML feature engineering job.
Available options:
running, pending_approval, failed, approved, materializing, complete AutoML training job chained from this feature engineering job when auto_train is true.
Was this page helpful?

